<?php 
/**
 * @package    Contact Form
 * @author     arrowthemes https://arrowthemes.com
 * @copyright  Copyright (C) 2016 Arrowthemes. All rights reserved.
 * @license    http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

defined ('_JEXEC') or die;

	$input = JFactory::getApplication()->input;
	$check = $input->getInt( "check", null );
	
	//form not send
	if ( $check == null ) {	
		//default layout	
		require JModuleHelper::getLayoutPath( "mod_contact_form" );
	//form send 
	} elseif ( $check === 1 ) {
		//Check Token
		JSession::checkToken() or die( 'Invalid Token' );
		
		require_once __DIR__ . "/helper.php";  
		$status = modContactFormHelper::sendMail( $params );		
		require JModuleHelper::getLayoutPath( "mod_contact_form" );
	}
?>